About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Report
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
        GET
      • Retrieve candidate test report in PDF
        GET
      • Get Reports By TestId
        GET
      • Get All Reports
        GET
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Report

Get All Reports

GET
/v3/reports
This API retrieves a paginated list of candidate test reports for a customer between a specifieddate range. It includes test performance, scores, completion status, and PDF report URLs for each candidate.

StartDate (optional, DateTime)
The start of the date range for the report, in UTC. Use ISO 8601 format, for example 2026-10-01T00:00:00Z. If you leave it out, it defaults to 7 days before the current date.
EndDate (optional, DateTime)
The end of the date range for the report, in UTC. Use ISO 8601 format, for example 2026-10-07T23:59:59Z. If you leave it out, it defaults to the current date and time.
The date range between StartDate and EndDate must not exceed 7 calendar days. If the range exceeds 7 days, the API returns 400 Bad Request with the message:

By default, the API returns up to 100 records per request. Additional records can be retrieved using pagination parameters.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apiv3.imocha.io/v3/reports?PageNo=1&PageSize=100&includeSections=true&startDate=2015-07-31T12%3A00%3A56Z&endDate=2025-07-31T12%3A00%3A56Z&employeeid=undefined&testid=undefined' \
--header 'x-api-key;'
Response Response Example
{
  "reports": [
    {
      "testInvitationId": 10000001,
      "candidateEmail": "[email protected]",
      "employeeExternalID": "EMP10001",
      "candidateFullName": "John Doe",
      "testId": 2000001,
      "testName": "Sample Database Assessment",
      "completedOn": "2026-10-07T11:30:00.000",
      "appearedOn": "2026-10-07T10:45:00.000",
      "invitedByEmailId": "[email protected]",
      "pdfReportUrl": "https://example.com/PDFReport?id=dummy-report-id",
      "performanceCategory": "Competent",
      "scorePercentage": 75.0,
      "score": 15.0,
      "candidatePoints": 15.0,
      "status": "Complete",
      "testDuration": 60,
      "timeTaken": 45,
      "timeViolation": 0,
      "totalQuestions": 20,
      "totalTestPoints": 20.0,
      "windowViolation": 0,
      "sections": []
    }
  ],
  "pageNumber": 1,
  "totalPages": 10,
  "totalCount": 100,
  "hasPreviousPage": false,
  "hasNextPage": true
}
Modified at 2026-10-07 12:04:58
Previous
Get Reports By TestId
Next
Process Callbacks
Built with